const iosocket = require("socket.io");

exports.createSocket = (server) => {
  const io = iosocket(server,{
    cors:{
      origin:"*",
      methods:["GET","POST"]
    }
  })

  io.on("connection", (socket) => {
    console.log("connect from client");
    socket.on("clientEvent",(msg) => {
      console.log(msg);
      io.sockets.emit("nodeEvent","New message:"+msg)
    })
  })
}